# Gtk-perl module
%define ver   0.2
%define rel   4
Summary: Perl extention for gtk
Name: gtk+-perl
Version: %{ver}
Release: %{rel}
Copyright: LGPL
Group: X11/Libraries
Source: ftp://www.gtk.org/pub/gtk+-perl-%{ver}.tgz
URL: http://www.gtk.org/
BuildRoot:/var/tmp/gtkperl-root
Requires: perl
Requires: gtk+ 

%description
gtk+-perl allows you to write graphical interfaces using perl and gtk.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%install
rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install  
find $RPM_BUILD_ROOT/usr -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > gtk-perl-files 

#echo "/usr/lib/perl5/site_perl/Gtk.pm" > gtk-perl-files
#echo "/usr/lib/perl5/site_perl/Gtk/" >> gtk-perl-files
#echo "/usr/lib/perl5/site_perl/auto/Gtk/" >> gtk-perl-files
#echo "/usr/lib/perl5/site_perl/${RPM_ARCH}-linux/auto/Gtk/" >> gtk-perl-files
#echo "/usr/lib/perl5/man/man3/GtkColorSelectButton.3" >> gtk-perl-files

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f gtk-perl-files
# Files come from the gtk-perl-files file


%changelog
* Fri Oct 08 1998 Michael Maher <mikee@redhat.com>
- cleaned up spec, built for 5.2 powertools.
- added buildroot

* Tue Jul 14 1998 The Rasterman <raster@redhat.com>
- Made it rebuild on multiple architectures (still linux only tho)
- this NEEDS to be buildrooted. not willign to do that quite yet.

* Fri Jul 10 1998 Jeff Carr <jcarr@linuxppc.org>
- Turned of -O2 on the ppc version
- I'm not sure about the LGPL part
